Subject: Re: [PATCH v3 1/4] virtio_net: Add a virtqueue for outbound control commands

From: Anthony Liguori <[email-masked]>
Date: Mon, 02 Feb 2009 08:10:04 -0600

Hi Alex,

Can you post the userspace side of this to qemu-devel (against QEMU SVN) 
and I'll review/apply.  I've already looked through the series a couple 
times and I don't think there are any major issues.

Regards,

Anthony Liguori

Rusty Russell wrote:
> On Monday 02 February 2009 06:35:10 Alex Williamson wrote:
>
>   
>> +static bool virtnet_send_command(struct virtnet_info *vi, u8 class, u8 cmd,
>> +				 struct scatterlist data[], int out, int in)
>> +{
>> +	struct scatterlist sg[VIRTIO_NET_MAX_CTRL_ARGS];
>>     
> ...
>   
>> diff --git a/include/linux/virtio_net.h b/include/linux/virtio_net.h
>> index f76bd4a..f28a72a 100644
>> --- a/include/linux/virtio_net.h
>> +++ b/include/linux/virtio_net.h
>>     
> ...
>   
>> +#define VIRTIO_NET_MAX_CTRL_ARGS   2
>>     
>
> I think this definition belongs at the top of virtio_net.c; the others
> are userspace-exposed, this is really an internal issue, no?
>
> Other than that, you can add Acked-by: Rusty Russell <[email-masked]>
> and send to netdev for DaveM's tree.
>
> Thanks!
> Rusty.
> --
> To unsubscribe from this list: send the line "unsubscribe kvm" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>